import ICodeGenerator from './ICodeGenerator';
import { code_generator_options, sdk_definition, sdk_definition_files } from "./types";
export declare abstract class AbstractCodeGenerator implements ICodeGenerator {
    protected options: code_generator_options;
    protected constructor(options: code_generator_options);
    getOptions(): code_generator_options;
    protected prepare(): Promise<void>;
    protected build(): Promise<sdk_definition>;
    protected createEmptySdkDefinition(): Promise<sdk_definition>;
    protected configureSdkDefinition(definition: sdk_definition): Promise<void>;
    protected buildFiles(): Promise<sdk_definition_files>;
    protected buildStaticFiles(): Promise<sdk_definition_files>;
    protected buildStaticFilesFromStaticTemplates(): Promise<{
        [key: string]: string | true;
    }>;
    protected buildDynamicFiles(): Promise<sdk_definition_files>;
    generate(): Promise<void>;
    generateDefinition(): Promise<sdk_definition>;
    generateFilesFromDefinition(definition: sdk_definition, options: code_generator_options): Promise<void>;
}
export default AbstractCodeGenerator;
//# sourceMappingURL=AbstractCodeGenerator.d.ts.map